<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:id="@+id/home_container"
        android:layout_width="match_parent"
        android:layout_height="fill_parent"
        android:layout_above="@id/navigation_bar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <TextView
                android:id="@+id/dashboard_title"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_margin="@dimen/margin_md"
                android:background="@color/colorDarkAccent1"
                android:gravity="center"
                android:text="@string/dashboard"
                android:textColor="@color/colorDarkAccent3"
                android:textSize="@dimen/font_lg" />

            <TableLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:paddingLeft="@dimen/margin_md"
                android:paddingRight="@dimen/margin_md">

                <TableRow>
                    <ImageButton
                        android:id="@+id/panel_feature_1"
                        android:layout_width="@dimen/panel_bar_size"
                        android:layout_height="@dimen/panel_bar_size"
                        android:backgroundTint="@color/colorDarkAccent1"
                        android:layout_marginLeft="@dimen/margin_md" />

                    <ImageButton
                        android:id="@+id/panel_feature_2"
                        android:layout_width="@dimen/panel_bar_size"
                        android:layout_height="@dimen/panel_bar_size"
                        android:backgroundTint="@color/colorDarkAccent2"
                        android:layout_marginLeft="@dimen/margin_md"/>

                    <ImageButton
                        android:id="@+id/panel_feature_3"
                        android:layout_width="@dimen/panel_bar_size"
                        android:layout_height="@dimen/panel_bar_size"
                        android:layout_marginLeft="@dimen/margin_md"
                        android:backgroundTint="@color/colorDarkAccent3" />

                    <ImageButton
                        android:id="@+id/panel_logout"
                        android:layout_width="@dimen/panel_bar_size"
                        android:layout_height="@dimen/panel_bar_size"
                        android:backgroundTint="@color/colorLoginGoogle"
                        android:layout_marginLeft="@dimen/margin_md"/>

                </TableRow>

            </TableLayout>

            <TextView
                android:id="@+id/exhibit_title"
                android:layout_width="340dp"
                android:layout_height="35dp"
                android:layout_margin="@dimen/margin_md"
                android:background="@color/colorDarkAccent1"
                android:gravity="center"
                android:text="Our Exhibit"
                android:textColor="@color/colorDarkAccent3"
                android:textSize="@dimen/font_md" />

            <GridLayout
                android:id="@+id/grid_container"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/margin_md"
                android:layout_marginRight="@dimen/margin_md"
                android:layout_gravity="center"
                android:columnCount="3">
            </GridLayout>

        </LinearLayout>

    </ScrollView>


    <LinearLayout
        android:id="@+id/navigation_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/margin_md"
        android:background="@color/colorDarkAccent1"
        android:gravity="center_horizontal"
        android:orientation="horizontal"
        android:layout_alignParentBottom="true">

        <ImageButton
            android:layout_width="@dimen/navigation_bar_icon"
            android:layout_height="@dimen/navigation_bar_icon"
            android:layout_marginLeft="@dimen/margin_lg"
            android:layout_marginRight="@dimen/margin_lg"
            android:background="@color/colorDarkAccent3" />

        <ImageButton
            android:layout_width="@dimen/navigation_bar_icon"
            android:layout_height="@dimen/navigation_bar_icon"
            android:layout_marginLeft="@dimen/margin_lg"
            android:layout_marginRight="@dimen/margin_lg"
            android:background="@color/colorDarkAccent2" />

        <ImageButton
            android:src="@drawable/ic_vote"
            android:id="@+id/scanQr"
            android:layout_width="@dimen/navigation_bar_icon"
            android:layout_height="@dimen/navigation_bar_icon"
            android:layout_marginLeft="@dimen/margin_lg"
            android:layout_marginRight="@dimen/margin_lg"
            android:background="@color/colorDarkAccent2" />

    </LinearLayout>

</RelativeLayout>
